> For the complete documentation index, see [llms.txt](https://docs.shipbubble.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shipbubble.com/api-reference/couriers/view-courier-coverage-areas.md).

# View courier coverage areas

The Courier coverage API allows you to retrieve all countries and states that a courier can deliver to

<mark style="color:green;">`POST`</mark> `https://api.shipbubble.com/v1/shipping/couriers/:service_code/coverage`

**Path Parameters**

| Name          | Value                    |
| ------------- | ------------------------ |
| service\_code | service code of courier. |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "status": "success",
    "message": "Retrieved successfully",
    "data": [
        {
            "country": "Nigeria",
            "country_code": "NG",
            "pickup_states": [
                "Abuja",
                "Lagos"
            ],
            "delivery_states": [
                "Abuja",
                "Lagos",
                "Ogun",
                "Oyo"
            ]
        },
        {
            "country": "Ghana",
            "country_code": "GH",
            "pickup_states": [],
            "delivery_states": [
                "Greater Accra Region"
            ]
        },
        {
            "country": "United States",
            "pickup_states": [],
            "delivery_states": [
                "California",
                "Massachusetts"
            ]
        },
        {
            "country": "United Kingdom",
            "pickup_states": [
                "England"
            ],
            "delivery_states": [
                "England"
            ]
        }
    ]
}
```

{% endtab %}
{% endtabs %}
